Details

    • Type: Sub-task
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.4.0
    • Fix Version/s: 2.5.0
    • Component/s: security
    • Labels:
      None
    • Target Version/s:
    • Hadoop Flags:
      Reviewed

      Description

      The Configuration parameter is not used in the authorize() function. It can be removed and callers can be updated.

      Attaching the simple patch which removes the unused conf parameter and updates the callers.
      The ProxyUsers is defined as a private audience and so there shouldn't be any external callers.

        Attachments

        1. HADOOP-10499.patch
          3 kB
          Benoy Antony
        2. HADOOP-10499.patch
          7 kB
          Benoy Antony
        3. HADOOP-10499.2.patch
          7 kB
          Chris Nauroth

          Issue Links

            Activity

              People

              • Assignee:
                benoyantony Benoy Antony
                Reporter:
                benoyantony Benoy Antony
              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: